<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE generatorConfiguration
        PUBLIC "-//mybatis.org//DTD MyBatis Generator Configuration 1.0//EN"
        "http://mybatis.org/dtd/mybatis-generator-config_1_0.dtd">

<generatorConfiguration>
    <context id="MySqlTables" targetRuntime="MyBatis3">

        <!-- 自定义注释生成器 -->
        <commentGenerator type="me.mizhoux.mbgcomment.MySQLCommentGenerator">
            <property name="author" value="mybatis-generator"/>
            <property name="dateFormat" value="yyyy/MM/dd"/>
        </commentGenerator>
        <!--数据库连接的信息：驱动类、连接地址、用户名、密码 -->
<!--        <jdbcConnection driverClass="com.mysql.jdbc.Driver"-->
<!--                        connectionURL="jdbc:mysql://106.15.1.103:3306/order_pro?characterEncoding=utf-8&amp;useSSL=false"-->
<!--                        userId="root"-->
<!--                        password="123.456">-->
<!--        </jdbcConnection>-->
        <jdbcConnection driverClass="com.mysql.jdbc.Driver"
                        connectionURL="jdbc:mysql://124.71.161.47:13306/db_hll_data?characterEncoding=utf-8&amp;userSSL=false"
                        userId="app_write"
                        password="Hualala@2022cxg">
        </jdbcConnection>

        <!-- 默认false，把JDBC DECIMAL 和 NUMERIC 类型解析为 Integer，为 true时把JDBC DECIMAL 和 NUMERIC 类型解析为java.math.BigDecimal -->
        <javaTypeResolver>
            <property name="forceBigDecimals" value="false"/>
        </javaTypeResolver>


        <!-- 生成实体类的包名和位置 -->
        <javaModelGenerator targetPackage="com.zm.order.tool.server.model" targetProject="src/main/java">
            <!-- enableSubPackages:是否让schema作为包的后缀 -->
            <property name="enableSubPackages" value="false"/>
            <!-- 从数据库返回的值被清理前后的空格 -->
            <property name="trimStrings" value="false"/>
        </javaModelGenerator>

        <!-- 生成的xml映射文件包名和位置 -->
        <sqlMapGenerator targetPackage="chen" targetProject="src/main/resources">
            <property name="enableSubPackages" value="false"/>
        </sqlMapGenerator>

        <!-- 生成DAO的包名和位置 -->
        <javaClientGenerator type="XMLMAPPER" targetPackage="com.zm.order.tool.server.chen" targetProject="src/main/java">
            <property name="enableSubPackages" value="false"/>
        </javaClientGenerator>

        <!--要生成那些表(更改tableName和domainObjectName就可以) -->
        <!-- 指定数据库表 -->
        <!--如果要直接指定全部表，可以用<table tableName="%"/>的方式，会默认将数据表中的"_"去掉并以驼峰的形式生成实体类名-->
        <!--<table tableName="tb_admin" domainObjectName="Admin"/>-->
        <!--<table tableName="tb_user" domainObjectName="User"/>-->
        <!-- 有些表的字段需要指定java类型
         <table catalog="" tableName="">
            <columnOverride column="" javaType="" />
        </table> -->


        <table tableName="tbl_bill_master" domainObjectName="master"
               enableCountByExample="false"
               enableDeleteByExample="false"
               enableSelectByExample="false"
               enableUpdateByExample="false"/>

        <table tableName="tbl_bill_food" domainObjectName="food"
               enableCountByExample="false"
               enableDeleteByExample="false"
               enableSelectByExample="false"
               enableUpdateByExample="false"/>

        <table tableName="tbl_bill_food" domainObjectName="pay"
               enableCountByExample="false"
               enableDeleteByExample="false"
               enableSelectByExample="false"
               enableUpdateByExample="false"/>
<!--        <table tableName="momo" domainObjectName="momo"-->
<!--               enableCountByExample="false"-->
<!--               enableDeleteByExample="false"-->
<!--               enableSelectByExample="false"-->
<!--               enableUpdateByExample="false"/>-->

    </context>




</generatorConfiguration>

